package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesPackage;
import cn.estsh.i3plus.pojo.mes.bean.MesPackageDetail;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : MES装箱防错
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/7 14:34
 * @Modify:
 **/
public interface IMesBoxingErrorProofingService {


    @ApiOperation(value = "查询包装明细")
    ListPager<MesPackageDetail> queryMesPackageDetailByPager(MesPackage mesPackage, Pager pager);

    @ApiOperation(value = "查询操作人是否记忆")
    Integer getIsMemory(String organizeCode, String userName);

    @ApiOperation(value = "扫描")
    ResultBean doScan(MesPackageDetail mesPackageDetail);

    @ApiOperation(value = "保存包装明细")
    ResultBean saveMesPackageDetails(List<MesPackageDetail> mesPackage, String userName);

    @ApiOperation(value = "更新包装表")
    ResultBean updateMesPackage(MesPackage mesPackage);

    @ApiOperation(value = "更新包装明细")
    void updateMesPackageDetails(MesPackageDetail mesPackage);

    @ApiOperation(value = "解锁")
    void unLock(String organizeCode, String pwd);
}
